API7 Docs

Get Health Check Information

GET /v1/healthcheck

GET /v1/healthcheck

Interactive request editor loads with JavaScript.

Response Body

application/json

curl -X GET "http://127.0.0.1:9090/v1/healthcheck"

OK

[
  {
    "nodes": [
      {
        "ip": "52.86.68.46",
        "counter": {
          "http_failure": 0,
          "success": 0,
          "timeout_failure": 0,
          "tcp_failure": 0
        },
        "port": 80,
        "status": "healthy"
      },
      {
        "ip": "100.24.156.8",
        "counter": {
          "http_failure": 5,
          "success": 0,
          "timeout_failure": 0,
          "tcp_failure": 0
        },
        "port": 80,
        "status": "unhealthy"
      }
    ],
    "name": "/apisix/routes/1",
    "type": "http"
  }
]
Complete operation details and schema variants

GET /v1/healthcheck

Get Health Check Information

Get health check information of the APISIX instance. You need to initiate a request to the route to generate Control API health check information.

Parameters

Responses

  • 200: OK
  • 503: Failed to render the HTML health-check response.
  • error_msg (string, required):

cURL

curl -X GET 'http://127.0.0.1:9090/v1/healthcheck'